﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace RibbonBinding.ViewModels {
  
  public class MainWindowViewModel {

    public MainWindowViewModel() {
      ContextualTab_01 = new CustomContextualTab_01();
    }

    public BaseContextualTab ContextualTab_01 { get; private set; }
  }

  public abstract class BaseContextualTab {

    public string TabItemHeader { get; protected set; }
    public string RibbonGroupCaption { get; protected set; }
  }

  public class CustomContextualTab_01 : BaseContextualTab {

    public CustomContextualTab_01() {
      TabItemHeader = "Tab 01";
      RibbonGroupCaption = "Caption 01";
    }
  }
}
